/* stuff common to chan.c & mode.c */

typedef struct memstruct {
  char nick[10];
  char userhost[81];
  time_t joined;
  unsigned char flags;
  time_t split;         /* in case they were just netsplit */
  struct memstruct *next;
} memberlist;

#define CHANOP 1
#define CHANVOICE 2
#define FAKEOP 4

typedef struct banstruct {
  char *ban;
  char *who;
  time_t timer;
  struct banstruct *next;
} banlist;

struct chan_t {
  memberlist *member;
  banlist *ban;
  char *key;
  unsigned short int mode;
  int maxmembers;
};

#define CHANINV      1  /* +i */
#define CHANPRIV     2  /* +p */
#define CHANSEC      4  /* +s */
#define CHANMODER    8  /* +m */
#define CHANTOPIC   16  /* +t */
#define CHANNOMSG   32  /* +n */
#define CHANLIMIT   64  /* -l */  /* used only for protecting modes */
#define CHANKEY    128  /* -k */  /* " */
#define CHANANON   256  /* +a */  /* irc 2.9 */

